Subject: bug#44983: Truncate long lines of grep output

From: Jean Louis <[email-masked]>
Date: Sun, 13 Dec 2020 13:57:26 +0300

* Juri Linkov <[email-masked]> [2020-12-13 00:09]:
> > I do not find it problematic. Grep is anyway kind of advanced tool. I
> > think that Emacs "Search for files (grep)" menu option is anyway not
> > user friendly.
> > ...
> > What would be more user friendly would be a form or wizard that would
> > specify if all files are to be searched or recursively, and what would
> > be the search term. That would degrade power of grep but it would be
> > more user friendly to many people.
> >
> > In my opinion I believe that majority of users who ever clicked
> > "Search Files (grep)" gave up after few attempts.
> 
> Indeed, "Search for files (grep)" menu option is not user friendly.
> This is why we added a wizard command "Recursive Grep..." under it
> in the same menu.

Good for programmers, good for you and good for me. Emacs is for
advanced users from that view point. From that view point everything
fits into place. 

>From view point of users coming to Emacs "Recursive Grep" will not
have its meaning. Or any meaning at all.

It would be good to have a popularity-contest package similar to
Debian, where one could gather statistics what is actually used by
some users and submit that statistics.

Other good test could be to put 5 people together who used computers
for last 10 years regardless of their operating system and tell them
to open up Emacs and find files containing the term "Emacs" and watch
how they are doing.